Welcome! » Log In » Create A New Profile

Version 1.4.2-1 WARNING verbosity-level

Posted by Hans Sandsdalen 
Hans Sandsdalen
Version 1.4.2-1 WARNING verbosity-level
July 20, 2017 12:59AM
Hi

I have recently upgraded to ubuntu 16.04 and version 1.4.2-1 of rsnapshot. I run rsnapshot from cron, often with the "-q" option.

According to the man-page: "-q quiet, suppress non-fatal warnings". Is it correct that this warning is fatal?

WARNING: The verbosity-level is "1" despite subsequent declaration at line xxx.

I think it is annoying since I get an email even if there are no problems.

---
Hans Sandsdalen

http://www.spacetec.no
Tlf: 97762632












CONFIDENTIALITY This e-mail and any attachment contain KONGSBERG information which may be proprietary, confidential or subject to export regulations, and is only meant or the intended recipient(s). Any disclosure, copying, distribution or use is prohibited, if not otherwise explicitly agreed with KONGSBERG. If received in error, please delete it immediately from your system and notify the sender properly.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot_______________________________________________
rsnapshot-discuss mailing list
rsnapshot-discuss@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/rsnapshot-discuss
This message was imported via the External PhorumMail Module
Benedikt Heine
Re: Version 1.4.2-1 WARNING verbosity-level
July 20, 2017 10:59AM
Hi Hans,

On 20.07.2017 08:49, Hans Sandsdalen wrote:
> WARNING: The verbosity-level is "1" despite subsequent declaration
> at line xxx.
>
> I think it is annoying since I get an email even if there are no problems.

You set the verbosity twice (once in you logfile and also another time
in the arguments). So either remove the `-q` in your cronjob or comment
the verbose-line in your configuration

See here:

https://github.com/rsnapshot/rsnapshot/commit/a1b28757


~ Benedikt

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
rsnapshot-discuss mailing list
rsnapshot-discuss@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/rsnapshot-discuss
This message was imported via the External PhorumMail Module
David Cantrell
Re: Version 1.4.2-1 WARNING verbosity-level
July 21, 2017 07:59AM
On Thu, Jul 20, 2017 at 08:49:03AM +0200, Hans Sandsdalen wrote:

> ... I run rsnapshot from cron, often with the "-q" option.
>
> According to the man-page: "-q quiet, suppress non-fatal warnings". Is it correct that this warning is fatal?
>
> WARNING: The verbosity-level is "1" despite subsequent declaration at line xxx.

That clearly shouldn't be fatal. And I'm pretty sure it *isn't* fatal,
and so the fact that you see it despite using -q is a bug.

I'm pretty sure you can just filter it out by piping the output from the
cron job through grep -v until it gets fixed.

--
David Cantrell | top google result for "topless karaoke murders"

There is no one true indentation style,
But if there were K&R would be Its Prophets.
Peace be upon Their Holy Beards.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
rsnapshot-discuss mailing list
rsnapshot-discuss@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/rsnapshot-discuss
This message was imported via the External PhorumMail Module
Sorry, only registered users may post in this forum.

Click here to login